Package com.ocient.jdbc

## Class XGConnection

- java.lang.Object
- - com.ocient.jdbc.XGConnection

All Implemented Interfaces:
  `AutoCloseable`, `Connection`, `Wrapper`

    public class XGConnection
    extends Object
    implements Connection

### Field Summary

Fields
`protected String` `client`
`protected ArrayList<String>` `cmdcomps`
`protected String` `database`
`protected boolean` `force`
`protected BufferedInputStream` `in`
`protected boolean` `oneShotForce`
`protected BufferedOutputStream` `out`
`protected int` `portNum`
`protected String` `pwd`
`protected XGResultSet` `rs`
`protected String` `setSchema`
`protected String` `url`
`protected String` `user`
`protected String` `version`
`protected ArrayList<SQLWarning>` `warnings`

### Fields inherited from interface java.sql.Connection

`TRANSACTION_NONE, TRANSACTION_READ_COMMITTED, TRANSACTION_READ_UNCOMMITTED, TRANSACTION_REPEATABLE_READ, TRANSACTION_SERIALIZABLE`

### Constructor Summary

Constructors
`XGConnection​(Socket sock, String user, String pwd, int portNum, String url, String database, String version, String force)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `abort​(Executor executor)`
`void` `clearOneShotForce()`
`void` `clearWarnings()`
`void` `close()`
`void` `commit()`
`boolean` `connected()`
`Array` `createArrayOf​(String arg0, Object[] arg1)`
`Blob` `createBlob()`
`Clob` `createClob()`
`NClob` `createNClob()`
`SQLXML` `createSQLXML()`
`Statement` `createStatement()`
`Statement` `createStatement​(int arg0, int arg1)`
`Statement` `createStatement​(int arg0, int arg1, int arg2)`
`Struct` `createStruct​(String arg0, Object[] arg1)`
`void` `forceExternal​(boolean force)`
`boolean` `getAutoCommit()`
`String` `getCatalog()`
`Properties` `getClientInfo()`
`String` `getClientInfo​(String arg0)`
`String` `getDB()`
`int` `getHoldability()`
`int` `getMajorVersion()`
`DatabaseMetaData` `getMetaData()`
`int` `getMinorVersion()`
`int` `getNetworkTimeout()`
`String` `getSchema()`
`int` `getTransactionIsolation()`
`Map<String,​Class<?>>` `getTypeMap()`
`String` `getURL()`
`String` `getUser()`
`String` `getVersion()`
`SQLWarning` `getWarnings()`
`boolean` `isClosed()`
`boolean` `isReadOnly()`
`boolean` `isValid​(int arg0)`
`boolean` `isWrapperFor​(Class<?> iface)`
`String` `nativeSQL​(String arg0)`
`CallableStatement` `prepareCall​(String arg0)`
`CallableStatement` `prepareCall​(String arg0, int arg1, int arg2)`
`CallableStatement` `prepareCall​(String arg0, int arg1, int arg2, int arg3)`
`PreparedStatement` `prepareStatement​(String arg0)`
`PreparedStatement` `prepareStatement​(String arg0, int arg1)`
`PreparedStatement` `prepareStatement​(String arg0, int[] arg1)`
`PreparedStatement` `prepareStatement​(String arg0, int arg1, int arg2)`
`PreparedStatement` `prepareStatement​(String arg0, int arg1, int arg2, int arg3)`
`PreparedStatement` `prepareStatement​(String arg0, String[] arg1)`
`void` `reconnect()`
`void` `redirect​(String host, int port)`
`void` `releaseSavepoint​(Savepoint arg0)`
`void` `rollback()`
`void` `rollback​(Savepoint arg0)`
`void` `setAutoCommit​(boolean arg0)`
`void` `setCatalog​(String arg0)`
`void` `setClientInfo​(String arg0, String arg1)`
`void` `setClientInfo​(Properties arg0)`
`void` `setHoldability​(int arg0)`
`void` `setNetworkTimeout​(Executor executor, int milliseconds)`
`void` `setPSO​(boolean on)`
`void` `setPSO​(long threshold)`
`void` `setReadOnly​(boolean arg0)`
`Savepoint` `setSavepoint()`
`Savepoint` `setSavepoint​(String arg0)`
`void` `setSchema​(String schema)`
`void` `setTransactionIsolation​(int arg0)`
`void` `setTypeMap​(Map<String,​Class<?>> arg0)`
`<T> T` `unwrap​(Class<T> iface)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.sql.Connection

`beginRequest, endRequest, setShardingKey, setShardingKey, setShardingKeyIfValid, setShardingKeyIfValid`

### Field Detail

#### in

    protected BufferedInputStream in

#### out

    protected BufferedOutputStream out

#### rs

    protected XGResultSet rs

#### portNum

    protected int portNum

#### warnings

    protected ArrayList<SQLWarning> warnings

#### url

    protected String url

#### user

    protected String user

#### database

    protected String database

#### client

    protected String client

#### version

    protected String version

#### setSchema

    protected String setSchema

#### force

    protected boolean force

#### oneShotForce

    protected boolean oneShotForce

#### cmdcomps

    protected ArrayList<String> cmdcomps

#### pwd

    protected String pwd

### Constructor Detail

#### XGConnection

    public XGConnection​(Socket sock,
                        String user,
                        String pwd,
                        int portNum,
                        String url,
                        String database,
                        String version,
                        String force)
                 throws Exception

Throws:
  `Exception`

### Method Detail

#### abort

    public void abort​(Executor executor)
               throws SQLException

Specified by:
  `abort` in interface `Connection`
Throws:
  `SQLException`

#### clearOneShotForce

    public void clearOneShotForce()

#### clearWarnings

    public void clearWarnings()
                       throws SQLException

Specified by:
  `clearWarnings` in interface `Connection`
Throws:
  `SQLException`

#### close

    public void close()
               throws SQLException

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Connection`
Throws:
  `SQLException`

#### commit

    public void commit()
                throws SQLException

Specified by:
  `commit` in interface `Connection`
Throws:
  `SQLException`

#### createArrayOf

    public Array createArrayOf​(String arg0,
                               Object[] arg1)
                        throws SQLException

Specified by:
  `createArrayOf` in interface `Connection`
Throws:
  `SQLException`

#### createBlob

    public Blob createBlob()
                    throws SQLException

Specified by:
  `createBlob` in interface `Connection`
Throws:
  `SQLException`

#### createClob

    public Clob createClob()
                    throws SQLException

Specified by:
  `createClob` in interface `Connection`
Throws:
  `SQLException`

#### createNClob

    public NClob createNClob()
                      throws SQLException

Specified by:
  `createNClob` in interface `Connection`
Throws:
  `SQLException`

#### createSQLXML

    public SQLXML createSQLXML()
                        throws SQLException

Specified by:
  `createSQLXML` in interface `Connection`
Throws:
  `SQLException`

#### createStatement

    public Statement createStatement()
                              throws SQLException

Specified by:
  `createStatement` in interface `Connection`
Throws:
  `SQLException`

#### createStatement

    public Statement createStatement​(int arg0,
                                     int arg1)
                              throws SQLException

Specified by:
  `createStatement` in interface `Connection`
Throws:
  `SQLException`

#### createStatement

    public Statement createStatement​(int arg0,
                                     int arg1,
                                     int arg2)
                              throws SQLException

Specified by:
  `createStatement` in interface `Connection`
Throws:
  `SQLException`

#### createStruct

    public Struct createStruct​(String arg0,
                               Object[] arg1)
                        throws SQLException

Specified by:
  `createStruct` in interface `Connection`
Throws:
  `SQLException`

#### getAutoCommit

    public boolean getAutoCommit()
                          throws SQLException

Specified by:
  `getAutoCommit` in interface `Connection`
Throws:
  `SQLException`

#### getCatalog

    public String getCatalog()
                      throws SQLException

Specified by:
  `getCatalog` in interface `Connection`
Throws:
  `SQLException`

#### getClientInfo

    public Properties getClientInfo()
                             throws SQLException

Specified by:
  `getClientInfo` in interface `Connection`
Throws:
  `SQLException`

#### getClientInfo

    public String getClientInfo​(String arg0)
                         throws SQLException

Specified by:
  `getClientInfo` in interface `Connection`
Throws:
  `SQLException`

#### getDB

    public String getDB()

#### getHoldability

    public int getHoldability()
                       throws SQLException

Specified by:
  `getHoldability` in interface `Connection`
Throws:
  `SQLException`

#### getMajorVersion

    public int getMajorVersion()

#### getMetaData

    public DatabaseMetaData getMetaData()
                                 throws SQLException

Specified by:
  `getMetaData` in interface `Connection`
Throws:
  `SQLException`

#### getMinorVersion

    public int getMinorVersion()

#### getNetworkTimeout

    public int getNetworkTimeout()
                          throws SQLException

Specified by:
  `getNetworkTimeout` in interface `Connection`
Throws:
  `SQLException`

#### getSchema

    public String getSchema()
                     throws SQLException

Specified by:
  `getSchema` in interface `Connection`
Throws:
  `SQLException`

#### getTransactionIsolation

    public int getTransactionIsolation()
                                throws SQLException

Specified by:
  `getTransactionIsolation` in interface `Connection`
Throws:
  `SQLException`

#### getTypeMap

    public Map<String,​Class<?>> getTypeMap()
                                          throws SQLException

Specified by:
  `getTypeMap` in interface `Connection`
Throws:
  `SQLException`

#### getURL

    public String getURL()

#### getUser

    public String getUser()

#### getVersion

    public String getVersion()

#### getWarnings

    public SQLWarning getWarnings()
                           throws SQLException

Specified by:
  `getWarnings` in interface `Connection`
Throws:
  `SQLException`

#### isClosed

    public boolean isClosed()
                     throws SQLException

Specified by:
  `isClosed` in interface `Connection`
Throws:
  `SQLException`

#### isReadOnly

    public boolean isReadOnly()
                       throws SQLException

Specified by:
  `isReadOnly` in interface `Connection`
Throws:
  `SQLException`

#### isValid

    public boolean isValid​(int arg0)
                    throws SQLException

Specified by:
  `isValid` in interface `Connection`
Throws:
  `SQLException`

#### isWrapperFor

    public boolean isWrapperFor​(Class<?> iface)
                         throws SQLException

Specified by:
  `isWrapperFor` in interface `Wrapper`
Throws:
  `SQLException`

#### nativeSQL

    public String nativeSQL​(String arg0)
                     throws SQLException

Specified by:
  `nativeSQL` in interface `Connection`
Throws:
  `SQLException`

#### prepareCall

    public CallableStatement prepareCall​(String arg0)
                                  throws SQLException

Specified by:
  `prepareCall` in interface `Connection`
Throws:
  `SQLException`

#### prepareCall

    public CallableStatement prepareCall​(String arg0,
                                         int arg1,
                                         int arg2)
                                  throws SQLException

Specified by:
  `prepareCall` in interface `Connection`
Throws:
  `SQLException`

#### prepareCall

    public CallableStatement prepareCall​(String arg0,
                                         int arg1,
                                         int arg2,
                                         int arg3)
                                  throws SQLException

Specified by:
  `prepareCall` in interface `Connection`
Throws:
  `SQLException`

#### prepareStatement

    public PreparedStatement prepareStatement​(String arg0)
                                       throws SQLException

Specified by:
  `prepareStatement` in interface `Connection`
Throws:
  `SQLException`

#### prepareStatement

    public PreparedStatement prepareStatement​(String arg0,
                                              int arg1)
                                       throws SQLException

Specified by:
  `prepareStatement` in interface `Connection`
Throws:
  `SQLException`

#### prepareStatement

    public PreparedStatement prepareStatement​(String arg0,
                                              int arg1,
                                              int arg2)
                                       throws SQLException

Specified by:
  `prepareStatement` in interface `Connection`
Throws:
  `SQLException`

#### prepareStatement

    public PreparedStatement prepareStatement​(String arg0,
                                              int arg1,
                                              int arg2,
                                              int arg3)
                                       throws SQLException

Specified by:
  `prepareStatement` in interface `Connection`
Throws:
  `SQLException`

#### prepareStatement

    public PreparedStatement prepareStatement​(String arg0,
                                              int[] arg1)
                                       throws SQLException

Specified by:
  `prepareStatement` in interface `Connection`
Throws:
  `SQLException`

#### prepareStatement

    public PreparedStatement prepareStatement​(String arg0,
                                              String[] arg1)
                                       throws SQLException

Specified by:
  `prepareStatement` in interface `Connection`
Throws:
  `SQLException`

#### connected

    public boolean connected()

#### reconnect

    public void reconnect()
                   throws IOException,
                          SQLException

Throws:
  `IOException`
  `SQLException`

#### redirect

    public void redirect​(String host,
                         int port)
                  throws IOException,
                         SQLException

Throws:
  `IOException`
  `SQLException`

#### releaseSavepoint

    public void releaseSavepoint​(Savepoint arg0)
                          throws SQLException

Specified by:
  `releaseSavepoint` in interface `Connection`
Throws:
  `SQLException`

#### rollback

    public void rollback()
                  throws SQLException

Specified by:
  `rollback` in interface `Connection`
Throws:
  `SQLException`

#### rollback

    public void rollback​(Savepoint arg0)
                  throws SQLException

Specified by:
  `rollback` in interface `Connection`
Throws:
  `SQLException`

#### forceExternal

    public void forceExternal​(boolean force)
                       throws Exception

Throws:
  `Exception`

#### setPSO

    public void setPSO​(long threshold)
                throws Exception

Throws:
  `Exception`

#### setPSO

    public void setPSO​(boolean on)
                throws Exception

Throws:
  `Exception`

#### setAutoCommit

    public void setAutoCommit​(boolean arg0)
                       throws SQLException

Specified by:
  `setAutoCommit` in interface `Connection`
Throws:
  `SQLException`

#### setCatalog

    public void setCatalog​(String arg0)
                    throws SQLException

Specified by:
  `setCatalog` in interface `Connection`
Throws:
  `SQLException`

#### setClientInfo

    public void setClientInfo​(Properties arg0)
                       throws SQLClientInfoException

Specified by:
  `setClientInfo` in interface `Connection`
Throws:
  `SQLClientInfoException`

#### setClientInfo

    public void setClientInfo​(String arg0,
                              String arg1)
                       throws SQLClientInfoException

Specified by:
  `setClientInfo` in interface `Connection`
Throws:
  `SQLClientInfoException`

#### setHoldability

    public void setHoldability​(int arg0)
                        throws SQLException

Specified by:
  `setHoldability` in interface `Connection`
Throws:
  `SQLException`

#### setNetworkTimeout

    public void setNetworkTimeout​(Executor executor,
                                  int milliseconds)
                           throws SQLException

Specified by:
  `setNetworkTimeout` in interface `Connection`
Throws:
  `SQLException`

#### setReadOnly

    public void setReadOnly​(boolean arg0)
                     throws SQLException

Specified by:
  `setReadOnly` in interface `Connection`
Throws:
  `SQLException`

#### setSavepoint

    public Savepoint setSavepoint()
                           throws SQLException

Specified by:
  `setSavepoint` in interface `Connection`
Throws:
  `SQLException`

#### setSavepoint

    public Savepoint setSavepoint​(String arg0)
                           throws SQLException

Specified by:
  `setSavepoint` in interface `Connection`
Throws:
  `SQLException`

#### setSchema

    public void setSchema​(String schema)
                   throws SQLException

Specified by:
  `setSchema` in interface `Connection`
Throws:
  `SQLException`

#### setTransactionIsolation

    public void setTransactionIsolation​(int arg0)
                                 throws SQLException

Specified by:
  `setTransactionIsolation` in interface `Connection`
Throws:
  `SQLException`

#### setTypeMap

    public void setTypeMap​(Map<String,​Class<?>> arg0)
                    throws SQLException

Specified by:
  `setTypeMap` in interface `Connection`
Throws:
  `SQLException`

#### unwrap

    public <T> T unwrap​(Class<T> iface)
                 throws SQLException

Specified by:
  `unwrap` in interface `Wrapper`
Throws:
  `SQLException`